Skip to main content
GET
/
api
/
environments
/
list
List environments
curl --request GET \
  --url https://api.empirical.run/api/environments/list \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "environments": [
      {
        "id": 123,
        "project_id": 123,
        "slug": "<string>",
        "name": "<string>",
        "playwright_projects_match": [
          "<string>"
        ],
        "playwright_projects_ignore": [
          "<string>"
        ],
        "is_disabled": true,
        "env_files": [
          "<string>"
        ],
        "scheduled_trigger": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

is_disabled
string

When set to the string false, exclude disabled environments.

environment_slug
string

Filter to the environment with this slug.

Minimum string length: 1

Response

The project's environments.

data
object
required

Response payload.